Bug 241598

Summary: x11-toolkits/plasma5-kdeplasma-addons: fix build on non-x86
Product: Ports & Packages Reporter: Piotr Kubaj <pkubaj>
Component: Individual Port(s)Assignee: kde
Status: Closed FIXED    
Severity: Affects Only Me CC: kde, linimon, tcberner
Priority: --- Flags: tcberner: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch
tcberner: maintainer-approval-
v2
none
v3
none
v4 pkubaj: maintainer-approval? (kde)

Description Piotr Kubaj freebsd_committer 2019-10-30 21:04:10 UTC
Created attachment 208711 [details]
patch

Since e.g. PPC doesn't have webengine for now, this port doesn't build.

Make webengine x86-only.
Comment 1 Tobias C. Berner freebsd_committer 2019-10-31 06:04:04 UTC
Comment on attachment 208711 [details]
patch

QTWEBENGINE_CMAKE_BOOL_OFF does not need a =true, it does that itself.

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html#options-cmake_bool
Comment 2 Piotr Kubaj freebsd_committer 2019-10-31 13:09:06 UTC
Created attachment 208733 [details]
v2

Corrected version.
Comment 3 Tobias C. Berner freebsd_committer 2019-11-02 16:14:59 UTC
webengine is still in the USE_QT list, it seems.
Comment 4 Piotr Kubaj freebsd_committer 2019-11-07 21:28:57 UTC
Created attachment 208954 [details]
v3

Is that OK? It definitely builds :)
Comment 5 Tobias C. Berner freebsd_committer 2019-11-08 09:07:13 UTC
Looks good to me now.
Comment 6 Piotr Kubaj freebsd_committer 2019-11-08 10:03:50 UTC
Created attachment 208969 [details]
v4

v3 patch doesn't pass check-plist, so one more correction is necessary.
Comment 7 commit-hook freebsd_committer 2019-12-03 15:21:31 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Dec  3 15:21:07 UTC 2019
New revision: 518947
URL: https://svnweb.freebsd.org/changeset/ports/518947

Log:
  x11-toolkits/plasma5-kdeplasma-addons: fix build on non-x86

  Since e.g. PPC doesn't have webengine on elfv1, this port doesn't build.

  Make webengine only for x86 and ppc64 elfv2.

  PR:	241598
  Approved by:	tcberner (maintainer timeout), mentors (implicit approval)

Changes:
  head/x11-toolkits/plasma5-kdeplasma-addons/Makefile
  head/x11-toolkits/plasma5-kdeplasma-addons/pkg-plist